Index: cprs/branches/foia-cprs/CPRS-Chart/Consults/fODProc.dfm
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/Consults/fODProc.dfm	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/Consults/fODProc.dfm	(revision 460)
@@ -1,14 +1,13 @@
 inherited frmODProc: TfrmODProc
   Tag = 112
-  Left = 262
-  Top = 191
-  Width = 531
-  Height = 322
+  Left = 208
+  Top = 188
+  Width = 543
+  Height = 393
   HorzScrollBar.Range = 523
-  HorzScrollBar.Visible = True
   VertScrollBar.Range = 295
-  VertScrollBar.Visible = True
-  AutoScroll = False
   Caption = 'Order a Procedure'
+  Constraints.MinHeight = 393
+  Constraints.MinWidth = 543
   PixelsPerInch = 96
   TextHeight = 13
@@ -31,6 +30,13 @@
     WordWrap = False
   end
-  object lblUrgency: TStaticText [2]
-    Left = 237
+  object lblReason: TLabel [2]
+    Left = 4
+    Top = 103
+    Width = 95
+    Height = 13
+    Caption = 'Reason for Request'
+  end
+  object lblUrgency: TStaticText [3]
+    Left = 249
     Top = 4
     Width = 44
@@ -40,6 +46,6 @@
     TabOrder = 15
   end
-  object lblPlace: TStaticText [3]
-    Left = 384
+  object lblPlace: TStaticText [4]
+    Left = 396
     Top = 43
     Width = 104
@@ -49,6 +55,6 @@
     TabOrder = 16
   end
-  object lblAttn: TStaticText [4]
-    Left = 384
+  object lblAttn: TStaticText [5]
+    Left = 396
     Top = 4
     Width = 46
@@ -58,6 +64,6 @@
     TabOrder = 17
   end
-  object lblProvDiag: TStaticText [5]
-    Left = 237
+  object lblProvDiag: TStaticText [6]
+    Left = 249
     Top = 81
     Width = 104
@@ -67,28 +73,18 @@
     TabOrder = 18
   end
-  object pnlReason: TPanel [6]
+  object pnlReason: TPanel [7]
     Left = 0
-    Top = 99
-    Width = 521
-    Height = 154
+    Top = 120
+    Width = 528
+    Height = 192
     Anchors = [akLeft, akTop, akRight, akBottom]
     BevelOuter = bvNone
     TabOrder = 9
-    DesignSize = (
-      521
-      154)
-    object lblReason: TLabel
-      Left = 4
-      Top = 9
-      Width = 95
-      Height = 13
-      Caption = 'Reason for Request'
-    end
     object memReason: TCaptionRichEdit
       Left = 0
-      Top = 24
-      Width = 521
-      Height = 130
-      Anchors = [akLeft, akTop, akRight, akBottom]
+      Top = 0
+      Width = 528
+      Height = 192
+      Align = alClient
       Font.Charset = DEFAULT_CHARSET
       Font.Color = clWindowText
@@ -96,4 +92,5 @@
       Font.Name = 'Courier New'
       Font.Style = []
+      Constraints.MinHeight = 40
       ParentFont = False
       PopupMenu = popReason
@@ -110,9 +107,9 @@
   end
   inherited memOrder: TCaptionMemo
-    Left = 4
-    Top = 258
-    Width = 361
-    Height = 36
-    Anchors = [akLeft, akRight, akBottom]
+    Left = 0
+    Top = 321
+    Width = 380
+    Height = 41
+    Anchors = [akLeft, akRight]
     Lines.Strings = (
       'The order text...'
@@ -123,6 +120,6 @@
     TabOrder = 1
   end
-  object cboUrgency: TORComboBox [8]
-    Left = 237
+  object cboUrgency: TORComboBox [9]
+    Left = 249
     Top = 17
     Width = 133
@@ -148,6 +145,6 @@
     CharsNeedMatch = 1
   end
-  object cboPlace: TORComboBox [9]
-    Left = 384
+  object cboPlace: TORComboBox [10]
+    Left = 396
     Top = 56
     Width = 133
@@ -173,10 +170,172 @@
     CharsNeedMatch = 1
   end
-  object txtProvDiag: TCaptionEdit [10]
-    Left = 237
+  object txtAttn: TORComboBox [11]
+    Left = 396
+    Top = 17
+    Width = 133
+    Height = 21
+    Anchors = [akTop, akRight]
+    Style = orcsDropDown
+    AutoSelect = True
+    Caption = 'Attention'
+    Color = clWindow
+    DropDownCount = 8
+    ItemHeight = 13
+    ItemTipColor = clWindow
+    ItemTipEnable = True
+    ListItemsOnly = True
+    LongList = True
+    LookupPiece = 2
+    MaxLength = 0
+    Pieces = '2,3'
+    Sorted = False
+    SynonymChars = '<>'
+    TabOrder = 3
+    OnChange = ControlChange
+    OnNeedData = txtAttnNeedData
+    CharsNeedMatch = 1
+  end
+  object cboProc: TORComboBox [12]
+    Left = 4
+    Top = 17
+    Width = 227
+    Height = 21
+    Anchors = [akLeft, akTop, akRight]
+    Style = orcsDropDown
+    AutoSelect = True
+    Caption = 'Procedure'
+    Color = clWindow
+    DropDownCount = 8
+    ItemHeight = 13
+    ItemTipColor = clWindow
+    ItemTipEnable = True
+    ListItemsOnly = True
+    LongList = True
+    LookupPiece = 0
+    MaxLength = 0
+    Pieces = '2'
+    Sorted = False
+    SynonymChars = '<>'
+    TabOrder = 0
+    OnChange = cboProcSelect
+    OnNeedData = cboProcNeedData
+    CharsNeedMatch = 1
+  end
+  object cboCategory: TORComboBox [13]
+    Left = 516
+    Top = 10
+    Width = 3
+    Height = 21
+    Style = orcsDropDown
+    AutoSelect = True
+    Color = clWindow
+    DropDownCount = 8
+    ItemHeight = 13
+    ItemTipColor = clWindow
+    ItemTipEnable = True
+    ListItemsOnly = False
+    LongList = False
+    LookupPiece = 0
+    MaxLength = 0
+    Sorted = False
+    SynonymChars = '<>'
+    TabOrder = 13
+    Visible = False
+    OnChange = ControlChange
+    CharsNeedMatch = 1
+  end
+  object cboService: TORComboBox [14]
+    Left = 4
+    Top = 58
+    Width = 227
+    Height = 21
+    Anchors = [akLeft, akTop, akRight]
+    Style = orcsDropDown
+    AutoSelect = True
+    Caption = 'Service to perform this procedure'
+    Color = clWindow
+    DropDownCount = 8
+    Enabled = False
+    ItemHeight = 13
+    ItemTipColor = clWindow
+    ItemTipEnable = True
+    ListItemsOnly = False
+    LongList = False
+    LookupPiece = 0
+    MaxLength = 0
+    Pieces = '2'
+    Sorted = False
+    SynonymChars = '<>'
+    TabOrder = 4
+    OnChange = cboServiceChange
+    CharsNeedMatch = 1
+  end
+  inherited cmdAccept: TButton
+    Left = 387
+    Top = 339
+    Anchors = [akRight, akBottom]
+    TabOrder = 10
+  end
+  inherited cmdQuit: TButton
+    Left = 469
+    Top = 339
+    Width = 64
+    Anchors = [akRight, akBottom]
+    TabOrder = 11
+  end
+  inherited pnlMessage: TPanel
+    Left = 50
+    Top = 320
+    Width = 316
+    Anchors = [akLeft, akRight, akBottom]
+    TabOrder = 12
+    inherited memMessage: TRichEdit
+      Width = 254
+    end
+  end
+  object cmdLexSearch: TButton
+    Left = 486
+    Top = 93
+    Width = 49
+    Height = 21
+    Anchors = [akTop, akRight]
+    Caption = 'Lexicon'
+    TabOrder = 8
+    OnClick = cmdLexSearchClick
+  end
+  object gbInptOpt: TGroupBox
+    Left = 249
+    Top = 36
+    Width = 140
+    Height = 45
+    Anchors = [akTop, akRight]
+    Caption = 'Patient will be seen as an:'
+    TabOrder = 5
+    object radInpatient: TRadioButton
+      Left = 3
+      Top = 20
+      Width = 61
+      Height = 17
+      Caption = '&Inpatient'
+      TabOrder = 0
+      OnClick = radInpatientClick
+    end
+    object radOutpatient: TRadioButton
+      Left = 67
+      Top = 20
+      Width = 71
+      Height = 17
+      Caption = '&Outpatient'
+      TabOrder = 1
+      OnClick = radOutpatientClick
+    end
+  end
+  object txtProvDiag: TCaptionEdit
+    Left = 249
     Top = 93
     Width = 234
     Height = 21
     Anchors = [akTop, akRight]
+    MaxLength = 180
     ParentShowHint = False
     PopupMenu = mnuPopProvDx
@@ -185,170 +344,4 @@
     OnChange = txtProvDiagChange
     Caption = 'Provisional Diagnosis'
-  end
-  object txtAttn: TORComboBox [11]
-    Left = 384
-    Top = 17
-    Width = 133
-    Height = 21
-    Anchors = [akTop, akRight]
-    Style = orcsDropDown
-    AutoSelect = True
-    Caption = 'Attention'
-    Color = clWindow
-    DropDownCount = 8
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = True
-    LongList = True
-    LookupPiece = 2
-    MaxLength = 0
-    Pieces = '2,3'
-    Sorted = False
-    SynonymChars = '<>'
-    TabOrder = 3
-    OnChange = ControlChange
-    OnNeedData = txtAttnNeedData
-    CharsNeedMatch = 1
-  end
-  object cboProc: TORComboBox [12]
-    Left = 4
-    Top = 17
-    Width = 215
-    Height = 21
-    Anchors = [akLeft, akTop, akRight]
-    Style = orcsDropDown
-    AutoSelect = True
-    Caption = 'Procedure'
-    Color = clWindow
-    DropDownCount = 8
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = True
-    LongList = True
-    LookupPiece = 0
-    MaxLength = 0
-    Pieces = '2'
-    Sorted = False
-    SynonymChars = '<>'
-    TabOrder = 0
-    OnChange = cboProcSelect
-    OnNeedData = cboProcNeedData
-    CharsNeedMatch = 1
-  end
-  object cboCategory: TORComboBox [13]
-    Left = 516
-    Top = 10
-    Width = 3
-    Height = 21
-    Style = orcsDropDown
-    AutoSelect = True
-    Color = clWindow
-    DropDownCount = 8
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = False
-    LongList = False
-    LookupPiece = 0
-    MaxLength = 0
-    Sorted = False
-    SynonymChars = '<>'
-    TabOrder = 13
-    Visible = False
-    OnChange = ControlChange
-    CharsNeedMatch = 1
-  end
-  object cboService: TORComboBox [14]
-    Left = 4
-    Top = 58
-    Width = 215
-    Height = 21
-    Anchors = [akLeft, akTop, akRight]
-    Style = orcsDropDown
-    AutoSelect = True
-    Caption = 'Service to perform this procedure'
-    Color = clWindow
-    DropDownCount = 8
-    Enabled = False
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = False
-    LongList = False
-    LookupPiece = 0
-    MaxLength = 0
-    Pieces = '2'
-    Sorted = False
-    SynonymChars = '<>'
-    TabOrder = 4
-    OnChange = cboServiceChange
-    CharsNeedMatch = 1
-  end
-  inherited cmdAccept: TButton
-    Left = 369
-    Top = 268
-    Anchors = [akRight, akBottom]
-    TabOrder = 10
-  end
-  inherited cmdQuit: TButton
-    Left = 457
-    Top = 268
-    Width = 64
-    Anchors = [akRight, akBottom]
-    TabOrder = 11
-  end
-  inherited pnlMessage: TPanel
-    Left = 50
-    Top = 249
-    Width = 304
-    Anchors = [akLeft, akRight, akBottom]
-    TabOrder = 12
-    inherited memMessage: TRichEdit
-      Width = 254
-    end
-  end
-  object cmdLexSearch: TButton
-    Left = 474
-    Top = 93
-    Width = 49
-    Height = 21
-    Anchors = [akTop, akRight]
-    Caption = 'Lexicon'
-    TabOrder = 8
-    OnClick = cmdLexSearchClick
-  end
-  object gbInptOpt: TGroupBox
-    Left = 237
-    Top = 36
-    Width = 140
-    Height = 45
-    Anchors = [akTop, akRight]
-    Caption = 'Patient will be seen as an:'
-    TabOrder = 5
-    DesignSize = (
-      140
-      45)
-    object radInpatient: TRadioButton
-      Left = 3
-      Top = 20
-      Width = 61
-      Height = 17
-      Anchors = [akTop, akRight]
-      Caption = '&Inpatient'
-      TabOrder = 0
-      OnClick = radInpatientClick
-    end
-    object radOutpatient: TRadioButton
-      Left = 67
-      Top = 20
-      Width = 71
-      Height = 17
-      Anchors = [akTop, akRight]
-      Caption = '&Outpatient'
-      TabOrder = 1
-      OnClick = radOutpatientClick
-    end
   end
   object mnuPopProvDx: TPopupMenu
